Upstream information

CVE-2021-3272 at MITRE

Description

jp2_decode in jp2/jp2_dec.c in libjasper in JasPer 2.0.24 has a heap-based buffer over-read when there is an invalid relationship between the number of channels and the number of image components.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 4
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1181483 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
HPE-Helion-OpenStack-8-2021-489
SUSE CaaS Platform 4.0
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-488
SUSE Enterprise Storage 6
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-Storage-6-2021-488
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-488
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-488
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-488
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-488
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libjasper4 >= 2.0.14-3.19.1
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • libjasper-devel >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2021-488
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • libjasper-devel >= 2.0.14-3.19.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • jasper >= 2.0.14-3.19.1
  • libjasper4-32bit >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-488
SUSE Linux Enterprise Point of Sale 11 SP3
  • libjasper >= 1.900.14-134.33.20.1
Patchnames:
sleposp3-jasper-14627
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2021-489
SUSE Linux Enterprise Server 11 SP4-LTSS
  • libjasper >= 1.900.14-134.33.20.1
  • libjasper-32bit >= 1.900.14-134.33.20.1
Patchnames:
slessp4-jasper-14627
SUSE Linux Enterprise Server 12 SP2-BCL
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2021-489
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2021-489
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2021-489
SUSE Linux Enterprise Server 12 SP3-BCL
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2021-489
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2021-489
SUSE Linux Enterprise Server 12 SP3-LTSS
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2021-489
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2021-489
SUSE Linux Enterprise Server 12 SP4-LTSS
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2021-489
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-489
SUSE Linux Enterprise Server 15 SP1-BCL
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-488
SUSE Linux Enterprise Server 15 SP1-LTSS
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-488
SUSE Linux Enterprise Server 15-LTSS
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-488
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2021-489
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2021-489
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2021-489
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-488
SUSE Linux Enterprise Server for SAP Applications 15
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-488
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libjasper-devel >= 1.900.14-195.25.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-489
SUSE Manager Proxy 4.0
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-488
SUSE Manager Retail Branch Server 4.0
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-488
SUSE Manager Server 4.0
  • libjasper-devel >= 2.0.14-3.19.1
  • libjasper4 >= 2.0.14-3.19.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-488
SUSE OpenStack Cloud 7
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-OpenStack-Cloud-7-2021-489
SUSE OpenStack Cloud 8
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-OpenStack-Cloud-8-2021-489
SUSE OpenStack Cloud 9
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-OpenStack-Cloud-9-2021-489
SUSE OpenStack Cloud Crowbar 8
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2021-489
SUSE OpenStack Cloud Crowbar 9
  • libjasper1 >= 1.900.14-195.25.1
  • libjasper1-32bit >= 1.900.14-195.25.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-489
openSUSE Leap 15.2
  • jasper >= 2.0.14-lp152.7.6.1
  • jasper-debuginfo >= 2.0.14-lp152.7.6.1
  • jasper-debugsource >= 2.0.14-lp152.7.6.1
  • libjasper-devel >= 2.0.14-lp152.7.6.1
  • libjasper4 >= 2.0.14-lp152.7.6.1
  • libjasper4-32bit >= 2.0.14-lp152.7.6.1
  • libjasper4-32bit-debuginfo >= 2.0.14-lp152.7.6.1
  • libjasper4-debuginfo >= 2.0.14-lp152.7.6.1
Patchnames:
openSUSE-2021-303


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 jasper Released
SUSE CaaS Platform 4.0 jasper Released
SUSE Enterprise Storage 5 jasper In progress
SUSE Enterprise Storage 6 jasper Released
SUSE Linux Enterprise High Performance Computing 12 SP5 jasper Released
SUSE Linux Enterprise High Performance Computing 15 LTSS jasper Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS jasper Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 jasper Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 jasper Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 jasper Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 jasper Released
SUSE Linux Enterprise Point of Service 11 SP3 jasper Released
SUSE Linux Enterprise Point of Service Image Server 12 jasper Released
SUSE Linux Enterprise Server 11 SP4 LTSS jasper Released
SUSE Linux Enterprise Server 12 SP2 BCL jasper Released
SUSE Linux Enterprise Server 12 SP2 ESPOS jasper Released
SUSE Linux Enterprise Server 12 SP2 LTSS jasper Released
SUSE Linux Enterprise Server 12 SP2 LTSS ERICSSON jasper In progress
SUSE Linux Enterprise Server 12 SP2 LTSS SAP jasper In progress
SUSE Linux Enterprise Server 12 SP3 BCL jasper Released
SUSE Linux Enterprise Server 12 SP3 ESPOS jasper Released
SUSE Linux Enterprise Server 12 SP3 LTSS jasper Released
SUSE Linux Enterprise Server 12 SP4 ESPOS jasper Released
SUSE Linux Enterprise Server 12 SP4 LTSS jasper Released
SUSE Linux Enterprise Server 12 SP5 jasper Released
SUSE Linux Enterprise Server 15 LTSS jasper Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux jasper Released
SUSE Linux Enterprise Server 15 SP1 LTSS jasper Released
SUSE Linux Enterprise Server ESPOS 15 jasper Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 jasper Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 jasper Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 jasper Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 jasper Released
SUSE Linux Enterprise Server for SAP Applications 15 jasper Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 jasper Released
SUSE Linux Enterprise Software Development Kit 12 SP5 jasper Released
SUSE Manager Proxy 4.0 jasper Released
SUSE Manager Retail Branch Server 4.0 jasper Released
SUSE Manager Server 4.0 jasper Released
SUSE OpenStack Cloud 7 jasper Released
SUSE OpenStack Cloud 8 jasper Released
SUSE OpenStack Cloud 9 jasper Released
SUSE OpenStack Cloud Crowbar 8 jasper Released
SUSE OpenStack Cloud Crowbar 9 jasper Released
SUSE Package Hub 15 jasper Released